Could not find class 'com.umeng.analytics.d' 解决的方案分享

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/u010381752/article/details/50715854
从Eclipse升级到AS后,众多朋友遇到了统计分析的   com.umeng.analytics.d 坑爹问题,弄了很久,友盟给出的是
确认了这边是因为项目中用了 Java 和 kotlin 的混合编译导致,删掉kotlin相关的就正常了。



什么是kotlin?他是什么鬼?-----> https://kotlinlang.org/docs/tutorials/kotlin-android.html


升级后5.0以上的安卓版本运行是没有问题的,但是5.0以下都不行了,这问题很奇葩。


联系了友盟工程师,最终给出了解决方案。。。。。

方法1:论坛上有人说的 删除掉kotlin,这个确实是可以,但是如何删除呢?

有一些框架是跟kotlin有关的,所以注释掉这些框架,先不用他们。。。。


例如,我项目里面用的是 okhttp 我注释掉了就可以正常在5.0以下的手机运行了

 



虽然,这样做,代码可以正常运行了,但是问题又来了,如果都不用跟 Kotlin 相关的jar 那岂不是很多地方要改么?还很不方便?下面看方法2.。。。。。


方法2:友盟工程师指导给出的方案,一些kotlin有关的包还是可以使用的,解决方案如下:
相应的gradle 文件中
 
相应的  Application 入口 的 onCreate 方法中
 

分别在这两场景中加入框里的代码,我的问题就解决了!希望可以帮到大家,但是不是所有人的问题都能解决的~~额。。。

没有更多推荐了,返回首页